Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.logging
Class IvyLoggingAdaper

    java.lang.Object
      org.apache.ivy.util.AbstractMessageLogger
          org.gradle.logging.IvyLoggingAdaper

All Implemented Interfaces:
  org.apache.ivy.util.MessageLogger

    public class IvyLoggingAdaper

extends org.apache.ivy.util.AbstractMessageLogger

This class is for integrating Ivy log statements into our logging system. We don't want to have a dependency on logback. This would be bad for embedded usage. We only want one on slf4j. But slf4j has no constants for log levels. As we want to avoid the execution of if statements for each Ivy request, we use Map which delegates Ivy log statements to Sl4j action classes.

Constructor Summary
`IvyLoggingAdaper()`

Method Summary
`void` | `doEndProgress(java.lang.String msg)`
`void` | `doProgress()`
`void` | `log(java.lang.String msg, int level)`
`void` | `rawlog(java.lang.String msg, int level)`

Methods inherited from class org.apache.ivy.util.AbstractMessageLogger
`clearProblems, debug, deprecated, endProgress, endProgress, error, getErrors, getProblems, getWarns, info, isShowProgress, progress, rawinfo, setShowProgress, sumupProblems, verbose, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyLoggingAdaper

    public IvyLoggingAdaper()

Method Detail

### log

    public void log(java.lang.String msg,
                    int level)

### rawlog

    public void rawlog(java.lang.String msg,
                       int level)

### doProgress

    public void doProgress()

  Specified by:
    `doProgress` in class `org.apache.ivy.util.AbstractMessageLogger`

### doEndProgress

    public void doEndProgress(java.lang.String msg)

  Specified by:
    `doEndProgress` in class `org.apache.ivy.util.AbstractMessageLogger`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD